classification
Title: socketserver: Add an opt-in option to get Python 3.6 behaviour on server_close()
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, miss-islington, ned.deily, pitrou, vstinner
Priority: release blocker Keywords: patch

Created on 2018-05-16 15:59 by vstinner, last changed 2018-06-01 14:24 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6911 merged vstinner, 2018-05-16 16:26
PR 7088 merged miss-islington, 2018-05-24 01:17
PR 7309 merged vstinner, 2018-06-01 10:57
PR 7310 merged vstinner, 2018-06-01 10:58
PR 7317 merged vstinner, 2018-06-01 12:35
Messages (9)
msg316825 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-16 15:59
bpo-31151 changed ForkingMixIn and bpo-31233 changed ThreadingMixIn to block on server_closer() for processes/threads.

I propose to add a new opt-in option to get the Python 3.6 behaviour. The old behaviour was wrong, but I expect that some people rely on it.
msg316833 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-16 16:27
I consider that it's a regression, so I pick the release blocker priority. Sorry Ned!
msg317059 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-05-18 21:42
It would be great if someone(s) could give PR 6911 a review, since it is a release blocker for 3.7.0rc1.  Thanks!
msg317486 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-24 01:14
New changeset 453bd0bc65b7ea6a18c43da69143ab10d54c0a35 by Victor Stinner in branch 'master':
bpo-33540: Add block_on_close attr to socketserver (GH-6911)
https://github.com/python/cpython/commit/453bd0bc65b7ea6a18c43da69143ab10d54c0a35
msg317494 - (view) Author: miss-islington (miss-islington) Date: 2018-05-24 01:34
New changeset fa286edbde9ed660d99628aea14ee3b824c2afe6 by Miss Islington (bot) in branch '3.7':
bpo-33540: Add block_on_close attr to socketserver (GH-6911)
https://github.com/python/cpython/commit/fa286edbde9ed660d99628aea14ee3b824c2afe6
msg317502 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-24 02:03
I added the block_on_close class attribute to Python 3.7 and master. I'm not really proud of it, but it's the price of the backward compatibility!
msg318403 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-01 12:07
New changeset 29ae9dc7c30b23055fdd39bec4c8f19a28392351 by Victor Stinner in branch '3.7':
bpo-33540: Fix socketserver.ThreadingMixIn if block_on_close=False (GH-7309)
https://github.com/python/cpython/commit/29ae9dc7c30b23055fdd39bec4c8f19a28392351
msg318404 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-01 12:21
New changeset 829fcd0612049b21a6d3802b3306705218255f6b by Victor Stinner in branch 'master':
bpo-33540: Fix socketserver.ThreadingMixIn if block_on_close=False (GH-7310)
https://github.com/python/cpython/commit/829fcd0612049b21a6d3802b3306705218255f6b
msg318418 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-01 14:24
New changeset 1381bfe9776e64fed45935efbe42a7ee8298bd44 by Victor Stinner in branch '3.6':
bpo-33540, socketserver: Add _block_on_close for tests (GH-7317)
https://github.com/python/cpython/commit/1381bfe9776e64fed45935efbe42a7ee8298bd44
History
Date User Action Args
2018-06-01 14:24:53vstinnersetmessages: + msg318418
2018-06-01 12:35:21vstinnersetpull_requests: + pull_request6946
2018-06-01 12:21:36vstinnersetmessages: + msg318404
2018-06-01 12:07:52vstinnersetmessages: + msg318403
2018-06-01 10:58:34vstinnersetpull_requests: + pull_request6942
2018-06-01 10:57:55vstinnersetpull_requests: + pull_request6941
2018-05-24 02:03:27vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg317502

stage: patch review -> resolved
2018-05-24 01:34:45miss-islingtonsetnosy: + miss-islington
messages: + msg317494
2018-05-24 01:17:38miss-islingtonsetpull_requests: + pull_request6722
2018-05-24 01:14:48vstinnersetmessages: + msg317486
2018-05-18 21:42:33ned.deilysetmessages: + msg317059
2018-05-16 16:27:49vstinnersetnosy: + pitrou, christian.heimes
2018-05-16 16:27:39vstinnersetpriority: normal -> release blocker
nosy: + ned.deily
messages: + msg316833

2018-05-16 16:26:50vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request6580
2018-05-16 15:59:33vstinnercreate